Cannot load such file -- uglifier  without rubygem-uglifier installed

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently rubygem-uglifier is installed as part of signo (for el6 and f18) and as part of rails for el6.  This isn't really needed and without

it you get:

cannot load such file -- uglifier (in /usr/share/katello/app/assets/javascripts/widgets/jquery.jeditable.helpers.js) (LoadError)

on any page that uses jquery.jeditable.helpers.js.    When uglifier is installed some files get regenerated and cached in

/usr/share/katello/tmp/cache/assets/.

Uglifier should not be needed and these cache files should not be generated.  Note that in nightly no error is present because uglifier

is installed (incorrectly).

In 1.3 on f18 this is not the case and the error is present. I will fix it in 1.3  by requiring rubygem-uglifier but the underlying problem is

still there.

Created: jlsherrill on May 14, 2013 15:29 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2274

History

#1 - 04/08/2014 06:42 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to Yes

Signo is no longer used.

#2 - 08/21/2014 02:28 PM - Eric Helms

- translation missing: en.field_release set to 13
